## e-charset-combo-box

e-charset-combo-box

## Functions

GtkWidget * | e_charset_combo_box_new ()
const gchar * | e_charset_combo_box_get_charset ()
void | e_charset_combo_box_set_charset ()

## Properties

char * | charset | Read / Write

## Types and Values

#define | E_TYPE_CHARSET_COMBO_BOX
| ECharsetComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── ECharsetComboBox

## Implemented Interfaces

ECharsetComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

## Functions

### e_charset_combo_box_new ()

    GtkWidget *
    e_charset_combo_box_new (void);

### e_charset_combo_box_get_charset ()

    const gchar *
    e_charset_combo_box_get_charset (ECharsetComboBox *combo_box);

### e_charset_combo_box_set_charset ()

    void
    e_charset_combo_box_set_charset (ECharsetComboBox *combo_box,
                                     const gchar *charset);

## Types and Values

### E_TYPE_CHARSET_COMBO_BOX

    #define E_TYPE_CHARSET_COMBO_BOX (e_charset_combo_box_get_type ())

### ECharsetComboBox

    typedef struct _ECharsetComboBox ECharsetComboBox;

## Property Details

### The `“charset”` property

      “charset”                  char *

The selected character set.

Owner: ECharsetComboBox

Flags: Read / Write

Default value: ""